#include <qttest_includes.h>

#include <smoke.h>
#include <qttest_smoke.h>

namespace __smokeqttest {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QBool
      switch(to) {
        case 1: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 2:   //QByteArray
      switch(to) {
        case 2: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 3:   //QChildEvent
      switch(to) {
        case 4: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 3: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 4:   //QEvent
      switch(to) {
        case 4: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 6:   //QMetaObject
      switch(to) {
        case 6: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 7:   //QObject
      switch(to) {
        case 7: return (void*)(QObject*)xptr;
        case 18: return (void*)(QTestEventLoop*)(QObject*)xptr;
        case 10: return (void*)(QSignalSpy*)(QObject*)xptr;
        default: return xptr;
      }
    case 8:   //QPoint
      switch(to) {
        case 8: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 9:   //QRegExp
      switch(to) {
        case 9: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 10:   //QSignalSpy
      switch(to) {
        case 7: return (void*)(QObject*)(QSignalSpy*)xptr;
        case 10: return (void*)(QSignalSpy*)xptr;
        default: return xptr;
      }
    case 12:   //QTestAccessibility
      switch(to) {
        case 12: return (void*)(QTestAccessibility*)xptr;
        default: return xptr;
      }
    case 13:   //QTestAccessibilityEvent
      switch(to) {
        case 13: return (void*)(QTestAccessibilityEvent*)xptr;
        default: return xptr;
      }
    case 14:   //QTestData
      switch(to) {
        case 14: return (void*)(QTestData*)xptr;
        default: return xptr;
      }
    case 15:   //QTestDelayEvent
      switch(to) {
        case 16: return (void*)(QTestEvent*)(QTestDelayEvent*)xptr;
        case 15: return (void*)(QTestDelayEvent*)xptr;
        default: return xptr;
      }
    case 16:   //QTestEvent
      switch(to) {
        case 16: return (void*)(QTestEvent*)xptr;
        case 20: return (void*)(QTestKeyEvent*)(QTestEvent*)xptr;
        case 21: return (void*)(QTestMouseEvent*)(QTestEvent*)xptr;
        case 15: return (void*)(QTestDelayEvent*)(QTestEvent*)xptr;
        case 19: return (void*)(QTestKeyClicksEvent*)(QTestEvent*)xptr;
        default: return xptr;
      }
    case 17:   //QTestEventList
      switch(to) {
        case 17: return (void*)(QTestEventList*)xptr;
        default: return xptr;
      }
    case 18:   //QTestEventLoop
      switch(to) {
        case 7: return (void*)(QObject*)(QTestEventLoop*)xptr;
        case 18: return (void*)(QTestEventLoop*)xptr;
        default: return xptr;
      }
    case 19:   //QTestKeyClicksEvent
      switch(to) {
        case 16: return (void*)(QTestEvent*)(QTestKeyClicksEvent*)xptr;
        case 19: return (void*)(QTestKeyClicksEvent*)xptr;
        default: return xptr;
      }
    case 20:   //QTestKeyEvent
      switch(to) {
        case 16: return (void*)(QTestEvent*)(QTestKeyEvent*)xptr;
        case 20: return (void*)(QTestKeyEvent*)xptr;
        default: return xptr;
      }
    case 21:   //QTestMouseEvent
      switch(to) {
        case 16: return (void*)(QTestEvent*)(QTestMouseEvent*)xptr;
        case 21: return (void*)(QTestMouseEvent*)xptr;
        default: return xptr;
      }
    case 22:   //QTestTable
      switch(to) {
        case 22: return (void*)(QTestTable*)xptr;
        default: return xptr;
      }
    case 23:   //QTimerEvent
      switch(to) {
        case 4: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 23: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 24:   //QWidget
      switch(to) {
        case 7: return (void*)(QObject*)(QWidget*)xptr;
        case 24: return (void*)(QWidget*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    7, 0, 0,	// 1: QObject, QList
    16, 0,	// 4: QTestEvent
    0, 0,	// 6: QList
    7, 0,	// 8: QObject
};

// These are the xenum functions for manipulating enum pointers
void xenum_QTest(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QSignalSpy(Smoke::Index, void*, Smoke::Stack);
void xcall_QTest(Smoke::Index, void*, Smoke::Stack);
void xcall_QTestAccessibility(Smoke::Index, void*, Smoke::Stack);
void xcall_QTestAccessibilityEvent(Smoke::Index, void*, Smoke::Stack);
void xcall_QTestData(Smoke::Index, void*, Smoke::Stack);
void xcall_QTestDelayEvent(Smoke::Index, void*, Smoke::Stack);
void xcall_QTestEvent(Smoke::Index, void*, Smoke::Stack);
void xcall_QTestEventList(Smoke::Index, void*, Smoke::Stack);
void xcall_QTestEventLoop(Smoke::Index, void*, Smoke::Stack);
void xcall_QTestKeyClicksEvent(Smoke::Index, void*, Smoke::Stack);
void xcall_QTestKeyEvent(Smoke::Index, void*, Smoke::Stack);
void xcall_QTestMouseEvent(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QBool", true, 0, 0, 0, 0, 0 },	//1
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//2
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//3
    { "QEvent", true, 0, 0, 0, 0, 0 },	//4
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, 0, Smoke::cf_namespace, 0 },	//5
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//6
    { "QObject", true, 0, 0, 0, 0, 0 },	//7
    { "QPoint", true, 0, 0, 0, 0, 0 },	//8
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//9
    { "QSignalSpy", false, 1, xcall_QSignalSpy, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSignalSpy) },	//10
    { "QTest", false, 0, xcall_QTest, xenum_QTest, Smoke::cf_namespace, 0 },	//11
    { "QTestAccessibility", false, 0, xcall_QTestAccessibility, 0, Smoke::cf_deepcopy, sizeof(QTestAccessibility) },	//12
    { "QTestAccessibilityEvent", false, 0, xcall_QTestAccessibilityEvent, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QTestAccessibilityEvent) },	//13
    { "QTestData", false, 0, xcall_QTestData, 0, 0, sizeof(QTestData) },	//14
    { "QTestDelayEvent", false, 4, xcall_QTestDelayEvent, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QTestDelayEvent) },	//15
    { "QTestEvent", false, 0, xcall_QTestEvent, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QTestEvent) },	//16
    { "QTestEventList", false, 6, xcall_QTestEventList, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QTestEventList) },	//17
    { "QTestEventLoop", false, 8, xcall_QTestEventLoop, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QTestEventLoop) },	//18
    { "QTestKeyClicksEvent", false, 4, xcall_QTestKeyClicksEvent, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QTestKeyClicksEvent) },	//19
    { "QTestKeyEvent", false, 4, xcall_QTestKeyEvent, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QTestKeyEvent) },	//20
    { "QTestMouseEvent", false, 4, xcall_QTestMouseEvent, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QTestMouseEvent) },	//21
    { "QTestTable", true, 0, 0, 0, 0, 0 },	//22
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//23
    { "QWidget", true, 0, 0, 0, 0, 0 },	//24
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAccessible2::InterfaceType", 0, Smoke::t_enum|Smoke::tf_stack },	//1
    { "QBool", 1, Smoke::t_class|Smoke::tf_stack },	//2
    { "QByteArray", 2, Smoke::t_class|Smoke::tf_stack },	//3
    { "QChildEvent*", 3, Smoke::t_class|Smoke::tf_ptr },	//4
    { "QEvent*", 4, Smoke::t_class|Smoke::tf_ptr },	//5
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//6
    { "QList<QTestAccessibilityEvent>", 0, Smoke::t_voidp|Smoke::tf_stack },	//7
    { "QMetaObject::Call", 6, Smoke::t_enum|Smoke::tf_stack },	//8
    { "QObject*", 7, Smoke::t_class|Smoke::tf_ptr },	//9
    { "QPoint", 8, Smoke::t_class|Smoke::tf_stack },	//10
    { "QRegExp&", 9, Smoke::t_class|Smoke::tf_ref },	//11
    { "QSignalSpy*", 10, Smoke::t_class|Smoke::tf_ptr },	//12
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//13
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//14
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//15
    { "QTest::KeyAction", 11, Smoke::t_enum|Smoke::tf_stack },	//16
    { "QTest::MouseAction", 11, Smoke::t_enum|Smoke::tf_stack },	//17
    { "QTest::QBenchmarkMetric", 11, Smoke::t_enum|Smoke::tf_stack },	//18
    { "QTest::SkipMode", 11, Smoke::t_enum|Smoke::tf_stack },	//19
    { "QTest::TestFailMode", 11, Smoke::t_enum|Smoke::tf_stack },	//20
    { "QTestAccessibilityEvent", 13, Smoke::t_class|Smoke::tf_stack },	//21
    { "QTestAccessibilityEvent*", 13, Smoke::t_class|Smoke::tf_ptr },	//22
    { "QTestData&", 14, Smoke::t_class|Smoke::tf_ref },	//23
    { "QTestDelayEvent*", 15, Smoke::t_class|Smoke::tf_ptr },	//24
    { "QTestEvent*", 16, Smoke::t_class|Smoke::tf_ptr },	//25
    { "QTestEventList*", 17, Smoke::t_class|Smoke::tf_ptr },	//26
    { "QTestEventLoop&", 18, Smoke::t_class|Smoke::tf_ref },	//27
    { "QTestEventLoop*", 18, Smoke::t_class|Smoke::tf_ptr },	//28
    { "QTestKeyClicksEvent*", 19, Smoke::t_class|Smoke::tf_ptr },	//29
    { "QTestKeyEvent*", 20, Smoke::t_class|Smoke::tf_ptr },	//30
    { "QTestMouseEvent*", 21, Smoke::t_class|Smoke::tf_ptr },	//31
    { "QTestTable*", 22, Smoke::t_class|Smoke::tf_ptr },	//32
    { "QTimerEvent*", 23, Smoke::t_class|Smoke::tf_ptr },	//33
    { "QWidget*", 24, Smoke::t_class|Smoke::tf_ptr },	//34
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//35
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//36
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//37
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//38
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//39
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//40
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//41
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//42
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//43
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//44
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//45
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//46
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//47
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//48
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//49
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//50
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//51
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//52
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//53
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//54
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//55
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//56
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//57
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//58
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//59
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//60
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//61
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//62
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//63
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//64
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//65
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//66
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//67
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//68
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//69
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//70
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//71
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//72
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//73
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//74
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//75
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//76
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//77
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//78
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//79
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//80
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//81
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//82
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//83
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//84
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//85
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//86
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//87
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//88
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//89
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//90
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//91
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//92
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//93
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//94
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//95
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//96
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//97
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//98
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//99
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//100
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//101
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//102
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//103
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//104
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//105
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//106
    { "QtMsgType", 5, Smoke::t_enum|Smoke::tf_stack },	//107
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//108
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//109
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//110
    { "char**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//111
    { "const QMetaObject&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//112
    { "const QMetaObject*", 6, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//113
    { "const QRegExp&", 9, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//114
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//115
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//116
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//117
    { "const QTestAccessibilityEvent&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//118
    { "const QTestDelayEvent&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//119
    { "const QTestEvent&", 16, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//120
    { "const QTestEventList&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//121
    { "const QTestKeyClicksEvent&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//122
    { "const QTestKeyEvent&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//123
    { "const QTestMouseEvent&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//124
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//125
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//126
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//127
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//128
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//129
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//130
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//131
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//132
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    125, 0,	//1  const char*
    5, 0,	//3  QEvent*
    9, 5, 0,	//5  QObject*, QEvent*
    33, 0,	//8  QTimerEvent*
    4, 0,	//10  QChildEvent*
    9, 125, 0,	//12  QObject*, const char*
    8, 128, 131, 0,	//15  QMetaObject::Call, int, void**
    34, 10, 128, 0,	//19  QWidget*, QPoint, int
    34, 0,	//23  QWidget*
    34, 10, 0,	//25  QWidget*, QPoint
    127, 18, 0,	//28  double, QTest::QBenchmarkMetric
    125, 125, 20, 125, 128, 0,	//31  const char*, const char*, QTest::TestFailMode, const char*, int
    34, 79, 6, 10, 128, 0,	//37  QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int
    34, 79, 0,	//43  QWidget*, Qt::MouseButton
    34, 79, 6, 0,	//46  QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>
    34, 79, 6, 10, 0,	//50  QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint
    9, 116, 0,	//55  QObject*, const QStringList&
    34, 108, 128, 6, 13, 108, 128, 0,	//58  QWidget*, bool, int, QFlags<Qt::KeyboardModifier>, QString, bool, int
    34, 108, 128, 6, 13, 108, 0,	//66  QWidget*, bool, int, QFlags<Qt::KeyboardModifier>, QString, bool
    34, 73, 6, 128, 0,	//73  QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>, int
    34, 73, 0,	//78  QWidget*, Qt::Key
    34, 73, 6, 0,	//81  QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>
    125, 19, 125, 128, 0,	//85  const char*, QTest::SkipMode, const char*, int
    108, 125, 125, 125, 128, 0,	//90  bool, const char*, const char*, const char*, int
    125, 125, 128, 0,	//96  const char*, const char*, int
    73, 0,	//100  Qt::Key
    128, 0,	//102  int
    16, 34, 73, 109, 6, 128, 0,	//104  QTest::KeyAction, QWidget*, Qt::Key, char, QFlags<Qt::KeyboardModifier>, int
    16, 34, 73, 109, 6, 0,	//111  QTest::KeyAction, QWidget*, Qt::Key, char, QFlags<Qt::KeyboardModifier>
    34, 109, 6, 128, 0,	//117  QWidget*, char, QFlags<Qt::KeyboardModifier>, int
    34, 109, 0,	//122  QWidget*, char
    34, 109, 6, 0,	//125  QWidget*, char, QFlags<Qt::KeyboardModifier>
    125, 128, 0,	//129  const char*, int
    16, 34, 109, 6, 128, 0,	//132  QTest::KeyAction, QWidget*, char, QFlags<Qt::KeyboardModifier>, int
    16, 34, 109, 0,	//138  QTest::KeyAction, QWidget*, char
    16, 34, 109, 6, 0,	//142  QTest::KeyAction, QWidget*, char, QFlags<Qt::KeyboardModifier>
    126, 126, 125, 125, 125, 128, 0,	//147  const void*, const void*, const char*, const char*, const char*, int
    9, 128, 111, 0,	//154  QObject*, int, char**
    9, 0,	//158  QObject*
    9, 128, 0,	//160  QObject*, int
    108, 125, 110, 110, 125, 125, 125, 128, 0,	//163  bool, const char*, char*, char*, const char*, const char*, const char*, int
    17, 34, 79, 6, 10, 128, 0,	//172  QTest::MouseAction, QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int
    17, 34, 79, 6, 10, 0,	//179  QTest::MouseAction, QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint
    126, 0,	//185  const void*
    109, 0,	//187  char
    128, 125, 0,	//189  int, const char*
    125, 125, 125, 125, 125, 128, 0,	//192  const char*, const char*, const char*, const char*, const char*, int
    108, 125, 125, 128, 0,	//199  bool, const char*, const char*, int
    16, 34, 73, 13, 6, 128, 0,	//204  QTest::KeyAction, QWidget*, Qt::Key, QString, QFlags<Qt::KeyboardModifier>, int
    16, 34, 73, 13, 6, 0,	//211  QTest::KeyAction, QWidget*, Qt::Key, QString, QFlags<Qt::KeyboardModifier>
    16, 34, 73, 6, 128, 0,	//217  QTest::KeyAction, QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>, int
    16, 34, 73, 0,	//223  QTest::KeyAction, QWidget*, Qt::Key
    16, 34, 73, 6, 0,	//227  QTest::KeyAction, QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>
    107, 125, 0,	//232  QtMsgType, const char*
    34, 115, 6, 128, 0,	//235  QWidget*, const QString&, QFlags<Qt::KeyboardModifier>, int
    34, 115, 0,	//240  QWidget*, const QString&
    34, 115, 6, 0,	//243  QWidget*, const QString&, QFlags<Qt::KeyboardModifier>
    118, 0,	//247  const QTestAccessibilityEvent&
    9, 128, 128, 0,	//249  QObject*, int, int
    128, 126, 0,	//253  int, const void*
    119, 0,	//256  const QTestDelayEvent&
    120, 0,	//258  const QTestEvent&
    121, 0,	//260  const QTestEventList&
    73, 6, 128, 0,	//262  Qt::Key, QFlags<Qt::KeyboardModifier>, int
    16, 73, 6, 128, 0,	//266  QTest::KeyAction, Qt::Key, QFlags<Qt::KeyboardModifier>, int
    109, 6, 128, 0,	//271  char, QFlags<Qt::KeyboardModifier>, int
    115, 6, 128, 0,	//275  const QString&, QFlags<Qt::KeyboardModifier>, int
    16, 109, 6, 128, 0,	//279  QTest::KeyAction, char, QFlags<Qt::KeyboardModifier>, int
    79, 6, 10, 128, 0,	//284  Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int
    10, 128, 0,	//289  QPoint, int
    73, 6, 0,	//292  Qt::Key, QFlags<Qt::KeyboardModifier>
    16, 73, 0,	//295  QTest::KeyAction, Qt::Key
    16, 73, 6, 0,	//298  QTest::KeyAction, Qt::Key, QFlags<Qt::KeyboardModifier>
    109, 6, 0,	//302  char, QFlags<Qt::KeyboardModifier>
    115, 0,	//305  const QString&
    115, 6, 0,	//307  const QString&, QFlags<Qt::KeyboardModifier>
    16, 109, 0,	//310  QTest::KeyAction, char
    16, 109, 6, 0,	//313  QTest::KeyAction, char, QFlags<Qt::KeyboardModifier>
    79, 0,	//317  Qt::MouseButton
    79, 6, 0,	//319  Qt::MouseButton, QFlags<Qt::KeyboardModifier>
    79, 6, 10, 0,	//322  Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint
    10, 0,	//326  QPoint
    125, 125, 0,	//328  const char*, const char*
    122, 0,	//331  const QTestKeyClicksEvent&
    123, 0,	//333  const QTestKeyEvent&
    16, 0,	//335  QTest::KeyAction
    6, 0,	//337  QFlags<Qt::KeyboardModifier>
    17, 79, 6, 10, 128, 0,	//339  QTest::MouseAction, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int
    124, 0,	//345  const QTestMouseEvent&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "Abort",	//1
    "BitsPerSecond",	//2
    "BytesPerSecond",	//3
    "CPUTicks",	//4
    "Click",	//5
    "Continue",	//6
    "Events",	//7
    "FramesPerSecond",	//8
    "InstructionReads",	//9
    "MouseClick",	//10
    "MouseDClick",	//11
    "MouseMove",	//12
    "MousePress",	//13
    "MouseRelease",	//14
    "Press",	//15
    "QSignalSpy",	//16
    "QSignalSpy#$",	//17
    "QTestAccessibilityEvent",	//18
    "QTestAccessibilityEvent#",	//19
    "QTestAccessibilityEvent#$",	//20
    "QTestAccessibilityEvent#$$",	//21
    "QTestDelayEvent",	//22
    "QTestDelayEvent#",	//23
    "QTestDelayEvent$",	//24
    "QTestEvent",	//25
    "QTestEvent#",	//26
    "QTestEventList",	//27
    "QTestEventList#",	//28
    "QTestEventLoop",	//29
    "QTestEventLoop#",	//30
    "QTestKeyClicksEvent",	//31
    "QTestKeyClicksEvent#",	//32
    "QTestKeyClicksEvent$$$",	//33
    "QTestKeyEvent",	//34
    "QTestKeyEvent#",	//35
    "QTestKeyEvent$$$$",	//36
    "QTestMouseEvent",	//37
    "QTestMouseEvent#",	//38
    "QTestMouseEvent$$$#$",	//39
    "Q_COMPLEX_TYPE",	//40
    "Q_DUMMY_TYPE",	//41
    "Q_MOVABLE_TYPE",	//42
    "Q_PRIMITIVE_TYPE",	//43
    "Q_STATIC_TYPE",	//44
    "Release",	//45
    "SkipAll",	//46
    "SkipSingle",	//47
    "WalltimeMilliseconds",	//48
    "_action",	//49
    "_ascii",	//50
    "_delay",	//51
    "_key",	//52
    "_modifiers",	//53
    "addColumnInternal",	//54
    "addColumnInternal$$",	//55
    "addDelay",	//56
    "addDelay$",	//57
    "addKeyClick",	//58
    "addKeyClick$",	//59
    "addKeyClick$$",	//60
    "addKeyClick$$$",	//61
    "addKeyClicks",	//62
    "addKeyClicks$",	//63
    "addKeyClicks$$",	//64
    "addKeyClicks$$$",	//65
    "addKeyEvent",	//66
    "addKeyEvent$$",	//67
    "addKeyEvent$$$",	//68
    "addKeyEvent$$$$",	//69
    "addKeyPress",	//70
    "addKeyPress$",	//71
    "addKeyPress$$",	//72
    "addKeyPress$$$",	//73
    "addKeyRelease",	//74
    "addKeyRelease$",	//75
    "addKeyRelease$$",	//76
    "addKeyRelease$$$",	//77
    "addMouseClick",	//78
    "addMouseClick$",	//79
    "addMouseClick$$",	//80
    "addMouseClick$$#",	//81
    "addMouseClick$$#$",	//82
    "addMouseDClick",	//83
    "addMouseDClick$",	//84
    "addMouseDClick$$",	//85
    "addMouseDClick$$#",	//86
    "addMouseDClick$$#$",	//87
    "addMouseMove",	//88
    "addMouseMove#",	//89
    "addMouseMove#$",	//90
    "addMousePress",	//91
    "addMousePress$",	//92
    "addMousePress$$",	//93
    "addMousePress$$#",	//94
    "addMousePress$$#$",	//95
    "addMouseRelease",	//96
    "addMouseRelease$",	//97
    "addMouseRelease$$",	//98
    "addMouseRelease$$#",	//99
    "addMouseRelease$$#$",	//100
    "append",	//101
    "append$$",	//102
    "asciiToKey",	//103
    "asciiToKey$",	//104
    "changeInterval",	//105
    "changeInterval$",	//106
    "child",	//107
    "childEvent",	//108
    "cleanup",	//109
    "clear",	//110
    "clearEvents",	//111
    "clone",	//112
    "compare_helper",	//113
    "compare_helper$$$$",	//114
    "compare_helper$$$$$$$$",	//115
    "compare_ptr_helper",	//116
    "compare_ptr_helper$$$$$$",	//117
    "compare_string_helper",	//118
    "compare_string_helper$$$$$$",	//119
    "connectNotify",	//120
    "currentAppName",	//121
    "currentDataTag",	//122
    "currentTestFailed",	//123
    "currentTestFunction",	//124
    "customEvent",	//125
    "data",	//126
    "data$",	//127
    "dataCount",	//128
    "dataTag",	//129
    "disconnectNotify",	//130
    "enterLoop",	//131
    "enterLoop$",	//132
    "event",	//133
    "eventFilter",	//134
    "events",	//135
    "exitLoop",	//136
    "ignoreMessage",	//137
    "ignoreMessage$$",	//138
    "initialize",	//139
    "instance",	//140
    "isValid",	//141
    "keyClick",	//142
    "keyClick#$",	//143
    "keyClick#$$",	//144
    "keyClick#$$$",	//145
    "keyClicks",	//146
    "keyClicks#$",	//147
    "keyClicks#$$",	//148
    "keyClicks#$$$",	//149
    "keyEvent",	//150
    "keyEvent$#$",	//151
    "keyEvent$#$$",	//152
    "keyEvent$#$$$",	//153
    "keyPress",	//154
    "keyPress#$",	//155
    "keyPress#$$",	//156
    "keyPress#$$$",	//157
    "keyRelease",	//158
    "keyRelease#$",	//159
    "keyRelease#$$",	//160
    "keyRelease#$$$",	//161
    "keyToAscii",	//162
    "keyToAscii$",	//163
    "metaObject",	//164
    "mouseClick",	//165
    "mouseClick#$",	//166
    "mouseClick#$$",	//167
    "mouseClick#$$#",	//168
    "mouseClick#$$#$",	//169
    "mouseDClick",	//170
    "mouseDClick#$",	//171
    "mouseDClick#$$",	//172
    "mouseDClick#$$#",	//173
    "mouseDClick#$$#$",	//174
    "mouseEvent",	//175
    "mouseEvent$#$$#",	//176
    "mouseEvent$#$$#$",	//177
    "mouseMove",	//178
    "mouseMove#",	//179
    "mouseMove##",	//180
    "mouseMove##$",	//181
    "mousePress",	//182
    "mousePress#$",	//183
    "mousePress#$$",	//184
    "mousePress#$$#",	//185
    "mousePress#$$#$",	//186
    "mouseRelease",	//187
    "mouseRelease#$",	//188
    "mouseRelease#$$",	//189
    "mouseRelease#$$#",	//190
    "mouseRelease#$$#$",	//191
    "newRow",	//192
    "newRow$",	//193
    "object",	//194
    "operator==",	//195
    "operator==#",	//196
    "parent",	//197
    "qData",	//198
    "qData$$",	//199
    "qElementData",	//200
    "qElementData$$",	//201
    "qExec",	//202
    "qExec#",	//203
    "qExec#$",	//204
    "qExec#$?",	//205
    "qExec#?",	//206
    "qExpectFail",	//207
    "qExpectFail$$$$$",	//208
    "qFail",	//209
    "qFail$$$",	//210
    "qGlobalData",	//211
    "qGlobalData$$",	//212
    "qSkip",	//213
    "qSkip$$$$",	//214
    "qSleep",	//215
    "qSleep$",	//216
    "qVerify",	//217
    "qVerify$$$$$",	//218
    "qWait",	//219
    "qWait$",	//220
    "qWaitForWindowShown",	//221
    "qWaitForWindowShown#",	//222
    "qWarn",	//223
    "qWarn$",	//224
    "qt_metacall",	//225
    "qt_metacall$$?",	//226
    "qt_metacast",	//227
    "qt_metacast$",	//228
    "sendKeyEvent",	//229
    "sendKeyEvent$#$$$",	//230
    "sendKeyEvent$#$$$$",	//231
    "setBenchmarkResult",	//232
    "setBenchmarkResult$$",	//233
    "setChild",	//234
    "setChild$",	//235
    "setEvent",	//236
    "setEvent$",	//237
    "setObject",	//238
    "setObject#",	//239
    "set_action",	//240
    "set_action$",	//241
    "set_ascii",	//242
    "set_ascii$",	//243
    "set_delay",	//244
    "set_delay$",	//245
    "set_key",	//246
    "set_key$",	//247
    "set_modifiers",	//248
    "set_modifiers$",	//249
    "signal",	//250
    "simulate",	//251
    "simulate#",	//252
    "simulateEvent",	//253
    "simulateEvent#$$$$$",	//254
    "simulateEvent#$$$$$$",	//255
    "staticMetaObject",	//256
    "testObject",	//257
    "timeout",	//258
    "timerEvent",	//259
    "timerEvent#",	//260
    "toHexRepresentation",	//261
    "toHexRepresentation$$",	//262
    "toString",	//263
    "toString$",	//264
    "tr",	//265
    "tr$",	//266
    "tr$$",	//267
    "tr$$$",	//268
    "trUtf8",	//269
    "trUtf8$",	//270
    "trUtf8$$",	//271
    "trUtf8$$$",	//272
    "verifyEvent",	//273
    "verifyEvent#",	//274
    "verifyEvent#$$",	//275
    "~QSignalSpy",	//276
    "~QTestAccessibilityEvent",	//277
    "~QTestData",	//278
    "~QTestDelayEvent",	//279
    "~QTestEvent",	//280
    "~QTestEventList",	//281
    "~QTestEventLoop",	//282
    "~QTestKeyClicksEvent",	//283
    "~QTestKeyEvent",	//284
    "~QTestMouseEvent",	//285
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {5, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 1},	//1 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {5, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 2},	//2 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {5, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 3},	//3 QGlobalSpace::Q_STATIC_TYPE (enum)
    {5, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 4},	//4 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {5, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 5},	//5 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {7, 164, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 113, 0},	//6 QObject::metaObject() const
    {7, 227, 1, 1, Smoke::mf_virtual, 130, 0},	//7 QObject::qt_metacast(const char*)
    {7, 133, 3, 1, Smoke::mf_virtual, 108, 0},	//8 QObject::event(QEvent*)
    {7, 134, 5, 2, Smoke::mf_virtual, 108, 0},	//9 QObject::eventFilter(QObject*, QEvent*)
    {7, 259, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//10 QObject::timerEvent(QTimerEvent*)
    {7, 108, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//11 QObject::childEvent(QChildEvent*)
    {7, 125, 3, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//12 QObject::customEvent(QEvent*)
    {7, 120, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//13 QObject::connectNotify(const char*)
    {7, 130, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//14 QObject::disconnectNotify(const char*)
    {10, 16, 12, 2, Smoke::mf_ctor, 12, 1},	//15 QSignalSpy::QSignalSpy(QObject*, const char*)
    {10, 141, 0, 0, Smoke::mf_const, 108, 2},	//16 QSignalSpy::isValid() const
    {10, 250, 0, 0, Smoke::mf_const, 3, 3},	//17 QSignalSpy::signal() const
    {10, 225, 15, 3, Smoke::mf_virtual, 128, 4},	//18 QSignalSpy::qt_metacall(QMetaObject::Call, int, void**)
    {10, 276, 0, 0, Smoke::mf_dtor, 0, 5 },	//19 QSignalSpy::~QSignalSpy()
    {11, 178, 19, 3, Smoke::mf_static, 0, 1},	//20 QTest::mouseMove(QWidget*, QPoint, int)
    {11, 178, 23, 1, Smoke::mf_static, 0, 2},	//21 QTest::mouseMove(QWidget*)
    {11, 178, 25, 2, Smoke::mf_static, 0, 3},	//22 QTest::mouseMove(QWidget*, QPoint)
    {11, 232, 28, 2, Smoke::mf_static, 0, 4},	//23 QTest::setBenchmarkResult(double, QTest::QBenchmarkMetric)
    {11, 207, 31, 5, Smoke::mf_static, 108, 5},	//24 QTest::qExpectFail(const char*, const char*, QTest::TestFailMode, const char*, int)
    {11, 182, 37, 5, Smoke::mf_static, 0, 6},	//25 QTest::mousePress(QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int)
    {11, 182, 43, 2, Smoke::mf_static, 0, 7},	//26 QTest::mousePress(QWidget*, Qt::MouseButton)
    {11, 182, 46, 3, Smoke::mf_static, 0, 8},	//27 QTest::mousePress(QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>)
    {11, 182, 50, 4, Smoke::mf_static, 0, 9},	//28 QTest::mousePress(QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint)
    {11, 124, 0, 0, Smoke::mf_static, 125, 10},	//29 QTest::currentTestFunction()
    {11, 202, 55, 2, Smoke::mf_static, 128, 11},	//30 QTest::qExec(QObject*, const QStringList&)
    {11, 257, 0, 0, Smoke::mf_static, 9, 12},	//31 QTest::testObject()
    {11, 253, 58, 7, Smoke::mf_static, 0, 13},	//32 QTest::simulateEvent(QWidget*, bool, int, QFlags<Qt::KeyboardModifier>, QString, bool, int)
    {11, 253, 66, 6, Smoke::mf_static, 0, 14},	//33 QTest::simulateEvent(QWidget*, bool, int, QFlags<Qt::KeyboardModifier>, QString, bool)
    {11, 154, 73, 4, Smoke::mf_static, 0, 15},	//34 QTest::keyPress(QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    {11, 154, 78, 2, Smoke::mf_static, 0, 16},	//35 QTest::keyPress(QWidget*, Qt::Key)
    {11, 154, 81, 3, Smoke::mf_static, 0, 17},	//36 QTest::keyPress(QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>)
    {11, 170, 37, 5, Smoke::mf_static, 0, 18},	//37 QTest::mouseDClick(QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int)
    {11, 170, 43, 2, Smoke::mf_static, 0, 19},	//38 QTest::mouseDClick(QWidget*, Qt::MouseButton)
    {11, 170, 46, 3, Smoke::mf_static, 0, 20},	//39 QTest::mouseDClick(QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>)
    {11, 170, 50, 4, Smoke::mf_static, 0, 21},	//40 QTest::mouseDClick(QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint)
    {11, 213, 85, 4, Smoke::mf_static, 0, 22},	//41 QTest::qSkip(const char*, QTest::SkipMode, const char*, int)
    {11, 217, 90, 5, Smoke::mf_static, 108, 23},	//42 QTest::qVerify(bool, const char*, const char*, const char*, int)
    {11, 209, 96, 3, Smoke::mf_static, 0, 24},	//43 QTest::qFail(const char*, const char*, int)
    {11, 162, 100, 1, Smoke::mf_static, 109, 25},	//44 QTest::keyToAscii(Qt::Key)
    {11, 219, 102, 1, Smoke::mf_static, 0, 26},	//45 QTest::qWait(int)
    {11, 229, 104, 6, Smoke::mf_static, 0, 27},	//46 QTest::sendKeyEvent(QTest::KeyAction, QWidget*, Qt::Key, char, QFlags<Qt::KeyboardModifier>, int)
    {11, 229, 111, 5, Smoke::mf_static, 0, 28},	//47 QTest::sendKeyEvent(QTest::KeyAction, QWidget*, Qt::Key, char, QFlags<Qt::KeyboardModifier>)
    {11, 223, 1, 1, Smoke::mf_static, 0, 29},	//48 QTest::qWarn(const char*)
    {11, 154, 117, 4, Smoke::mf_static, 0, 30},	//49 QTest::keyPress(QWidget*, char, QFlags<Qt::KeyboardModifier>, int)
    {11, 154, 122, 2, Smoke::mf_static, 0, 31},	//50 QTest::keyPress(QWidget*, char)
    {11, 154, 125, 3, Smoke::mf_static, 0, 32},	//51 QTest::keyPress(QWidget*, char, QFlags<Qt::KeyboardModifier>)
    {11, 122, 0, 0, Smoke::mf_static, 125, 33},	//52 QTest::currentDataTag()
    {11, 142, 117, 4, Smoke::mf_static, 0, 34},	//53 QTest::keyClick(QWidget*, char, QFlags<Qt::KeyboardModifier>, int)
    {11, 142, 122, 2, Smoke::mf_static, 0, 35},	//54 QTest::keyClick(QWidget*, char)
    {11, 142, 125, 3, Smoke::mf_static, 0, 36},	//55 QTest::keyClick(QWidget*, char, QFlags<Qt::KeyboardModifier>)
    {11, 123, 0, 0, Smoke::mf_static, 108, 37},	//56 QTest::currentTestFailed()
    {11, 211, 129, 2, Smoke::mf_static, 130, 38},	//57 QTest::qGlobalData(const char*, int)
    {11, 221, 23, 1, Smoke::mf_static, 108, 39},	//58 QTest::qWaitForWindowShown(QWidget*)
    {11, 121, 0, 0, Smoke::mf_static, 125, 40},	//59 QTest::currentAppName()
    {11, 192, 1, 1, Smoke::mf_static, 23, 41},	//60 QTest::newRow(const char*)
    {11, 150, 132, 5, Smoke::mf_static, 0, 42},	//61 QTest::keyEvent(QTest::KeyAction, QWidget*, char, QFlags<Qt::KeyboardModifier>, int)
    {11, 150, 138, 3, Smoke::mf_static, 0, 43},	//62 QTest::keyEvent(QTest::KeyAction, QWidget*, char)
    {11, 150, 142, 4, Smoke::mf_static, 0, 44},	//63 QTest::keyEvent(QTest::KeyAction, QWidget*, char, QFlags<Qt::KeyboardModifier>)
    {11, 142, 73, 4, Smoke::mf_static, 0, 45},	//64 QTest::keyClick(QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    {11, 142, 78, 2, Smoke::mf_static, 0, 46},	//65 QTest::keyClick(QWidget*, Qt::Key)
    {11, 142, 81, 3, Smoke::mf_static, 0, 47},	//66 QTest::keyClick(QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>)
    {11, 200, 129, 2, Smoke::mf_static, 130, 48},	//67 QTest::qElementData(const char*, int)
    {11, 116, 147, 6, Smoke::mf_static, 108, 49},	//68 QTest::compare_ptr_helper(const void*, const void*, const char*, const char*, const char*, int)
    {11, 202, 154, 3, Smoke::mf_static, 128, 50},	//69 QTest::qExec(QObject*, int, char**)
    {11, 202, 158, 1, Smoke::mf_static, 128, 51},	//70 QTest::qExec(QObject*)
    {11, 202, 160, 2, Smoke::mf_static, 128, 52},	//71 QTest::qExec(QObject*, int)
    {11, 158, 73, 4, Smoke::mf_static, 0, 53},	//72 QTest::keyRelease(QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    {11, 158, 78, 2, Smoke::mf_static, 0, 54},	//73 QTest::keyRelease(QWidget*, Qt::Key)
    {11, 158, 81, 3, Smoke::mf_static, 0, 55},	//74 QTest::keyRelease(QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>)
    {11, 113, 163, 8, Smoke::mf_static, 108, 56},	//75 QTest::compare_helper(bool, const char*, char*, char*, const char*, const char*, const char*, int)
    {11, 263, 1, 1, Smoke::mf_static, 110, 57},	//76 QTest::toString(const char*)
    {11, 175, 172, 6, Smoke::mf_static, 0, 58},	//77 QTest::mouseEvent(QTest::MouseAction, QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int)
    {11, 175, 179, 5, Smoke::mf_static, 0, 59},	//78 QTest::mouseEvent(QTest::MouseAction, QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint)
    {11, 263, 185, 1, Smoke::mf_static, 110, 60},	//79 QTest::toString(const void*)
    {11, 103, 187, 1, Smoke::mf_static, 73, 61},	//80 QTest::asciiToKey(char)
    {11, 54, 189, 2, Smoke::mf_static, 0, 62},	//81 QTest::addColumnInternal(int, const char*)
    {11, 158, 117, 4, Smoke::mf_static, 0, 63},	//82 QTest::keyRelease(QWidget*, char, QFlags<Qt::KeyboardModifier>, int)
    {11, 158, 122, 2, Smoke::mf_static, 0, 64},	//83 QTest::keyRelease(QWidget*, char)
    {11, 158, 125, 3, Smoke::mf_static, 0, 65},	//84 QTest::keyRelease(QWidget*, char, QFlags<Qt::KeyboardModifier>)
    {11, 261, 129, 2, Smoke::mf_static, 110, 66},	//85 QTest::toHexRepresentation(const char*, int)
    {11, 165, 37, 5, Smoke::mf_static, 0, 67},	//86 QTest::mouseClick(QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int)
    {11, 165, 43, 2, Smoke::mf_static, 0, 68},	//87 QTest::mouseClick(QWidget*, Qt::MouseButton)
    {11, 165, 46, 3, Smoke::mf_static, 0, 69},	//88 QTest::mouseClick(QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>)
    {11, 165, 50, 4, Smoke::mf_static, 0, 70},	//89 QTest::mouseClick(QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint)
    {11, 215, 102, 1, Smoke::mf_static, 0, 71},	//90 QTest::qSleep(int)
    {11, 118, 192, 6, Smoke::mf_static, 108, 72},	//91 QTest::compare_string_helper(const char*, const char*, const char*, const char*, const char*, int)
    {11, 113, 199, 4, Smoke::mf_static, 108, 73},	//92 QTest::compare_helper(bool, const char*, const char*, int)
    {11, 229, 204, 6, Smoke::mf_static, 0, 74},	//93 QTest::sendKeyEvent(QTest::KeyAction, QWidget*, Qt::Key, QString, QFlags<Qt::KeyboardModifier>, int)
    {11, 229, 211, 5, Smoke::mf_static, 0, 75},	//94 QTest::sendKeyEvent(QTest::KeyAction, QWidget*, Qt::Key, QString, QFlags<Qt::KeyboardModifier>)
    {11, 198, 129, 2, Smoke::mf_static, 130, 76},	//95 QTest::qData(const char*, int)
    {11, 150, 217, 5, Smoke::mf_static, 0, 77},	//96 QTest::keyEvent(QTest::KeyAction, QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    {11, 150, 223, 3, Smoke::mf_static, 0, 78},	//97 QTest::keyEvent(QTest::KeyAction, QWidget*, Qt::Key)
    {11, 150, 227, 4, Smoke::mf_static, 0, 79},	//98 QTest::keyEvent(QTest::KeyAction, QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>)
    {11, 137, 232, 2, Smoke::mf_static, 0, 80},	//99 QTest::ignoreMessage(QtMsgType, const char*)
    {11, 187, 37, 5, Smoke::mf_static, 0, 81},	//100 QTest::mouseRelease(QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int)
    {11, 187, 43, 2, Smoke::mf_static, 0, 82},	//101 QTest::mouseRelease(QWidget*, Qt::MouseButton)
    {11, 187, 46, 3, Smoke::mf_static, 0, 83},	//102 QTest::mouseRelease(QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>)
    {11, 187, 50, 4, Smoke::mf_static, 0, 84},	//103 QTest::mouseRelease(QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint)
    {11, 146, 235, 4, Smoke::mf_static, 0, 85},	//104 QTest::keyClicks(QWidget*, const QString&, QFlags<Qt::KeyboardModifier>, int)
    {11, 146, 240, 2, Smoke::mf_static, 0, 86},	//105 QTest::keyClicks(QWidget*, const QString&)
    {11, 146, 243, 3, Smoke::mf_static, 0, 87},	//106 QTest::keyClicks(QWidget*, const QString&, QFlags<Qt::KeyboardModifier>)
    {11, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 88},	//107 QTest::Abort (enum)
    {11, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 89},	//108 QTest::Continue (enum)
    {11, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 90},	//109 QTest::MousePress (enum)
    {11, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 91},	//110 QTest::MouseRelease (enum)
    {11, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 92},	//111 QTest::MouseClick (enum)
    {11, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 93},	//112 QTest::MouseDClick (enum)
    {11, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 94},	//113 QTest::MouseMove (enum)
    {11, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 95},	//114 QTest::Press (enum)
    {11, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 96},	//115 QTest::Release (enum)
    {11, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 97},	//116 QTest::Click (enum)
    {11, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 98},	//117 QTest::SkipSingle (enum)
    {11, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 99},	//118 QTest::SkipAll (enum)
    {11, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 100},	//119 QTest::FramesPerSecond (enum)
    {11, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 101},	//120 QTest::BitsPerSecond (enum)
    {11, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 102},	//121 QTest::BytesPerSecond (enum)
    {11, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 103},	//122 QTest::WalltimeMilliseconds (enum)
    {11, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 104},	//123 QTest::CPUTicks (enum)
    {11, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 105},	//124 QTest::InstructionReads (enum)
    {11, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 106},	//125 QTest::Events (enum)
    {12, 139, 0, 0, Smoke::mf_static, 0, 1},	//126 QTestAccessibility::initialize()
    {12, 109, 0, 0, Smoke::mf_static, 0, 2},	//127 QTestAccessibility::cleanup()
    {12, 111, 0, 0, Smoke::mf_static, 0, 3},	//128 QTestAccessibility::clearEvents()
    {12, 135, 0, 0, Smoke::mf_static, 7, 4},	//129 QTestAccessibility::events()
    {12, 273, 247, 1, Smoke::mf_static, 108, 5},	//130 QTestAccessibility::verifyEvent(const QTestAccessibilityEvent&)
    {12, 273, 249, 3, Smoke::mf_static, 108, 6},	//131 QTestAccessibility::verifyEvent(QObject*, int, int)
    {13, 18, 249, 3, Smoke::mf_ctor, 22, 1},	//132 QTestAccessibilityEvent::QTestAccessibilityEvent(QObject*, int, int)
    {13, 195, 247, 1, Smoke::mf_const, 108, 2},	//133 QTestAccessibilityEvent::operator==(const QTestAccessibilityEvent&) const
    {13, 18, 247, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 22, 3},	//134 QTestAccessibilityEvent::QTestAccessibilityEvent(const QTestAccessibilityEvent&)
    {13, 18, 0, 0, Smoke::mf_ctor, 22, 4},	//135 QTestAccessibilityEvent::QTestAccessibilityEvent()
    {13, 18, 158, 1, Smoke::mf_ctor, 22, 5},	//136 QTestAccessibilityEvent::QTestAccessibilityEvent(QObject*)
    {13, 18, 160, 2, Smoke::mf_ctor, 22, 6},	//137 QTestAccessibilityEvent::QTestAccessibilityEvent(QObject*, int)
    {13, 194, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 9, 7},	//138 QTestAccessibilityEvent::object() const
    {13, 238, 158, 1, Smoke::mf_attribute, 0, 8},	//139 QTestAccessibilityEvent::setObject(QObject*)
    {13, 107, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 128, 9},	//140 QTestAccessibilityEvent::child() const
    {13, 234, 102, 1, Smoke::mf_attribute, 0, 10},	//141 QTestAccessibilityEvent::setChild(int)
    {13, 133, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 128, 11},	//142 QTestAccessibilityEvent::event() const
    {13, 236, 102, 1, Smoke::mf_attribute, 0, 12},	//143 QTestAccessibilityEvent::setEvent(int)
    {13, 277, 0, 0, Smoke::mf_dtor, 0, 13 },	//144 QTestAccessibilityEvent::~QTestAccessibilityEvent()
    {14, 101, 253, 2, 0, 0, 1},	//145 QTestData::append(int, const void*)
    {14, 126, 102, 1, Smoke::mf_const, 130, 2},	//146 QTestData::data(int) const
    {14, 129, 0, 0, Smoke::mf_const, 125, 3},	//147 QTestData::dataTag() const
    {14, 197, 0, 0, Smoke::mf_const, 32, 4},	//148 QTestData::parent() const
    {14, 128, 0, 0, Smoke::mf_const, 128, 5},	//149 QTestData::dataCount() const
    {14, 278, 0, 0, Smoke::mf_dtor, 0, 6 },	//150 QTestData::~QTestData()
    {15, 22, 102, 1, Smoke::mf_ctor, 24, 1},	//151 QTestDelayEvent::QTestDelayEvent(int)
    {15, 112, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 25, 2},	//152 QTestDelayEvent::clone() const
    {15, 251, 23, 1, Smoke::mf_virtual, 0, 3},	//153 QTestDelayEvent::simulate(QWidget*)
    {15, 22, 256, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 24, 4},	//154 QTestDelayEvent::QTestDelayEvent(const QTestDelayEvent&)
    {15, 279, 0, 0, Smoke::mf_dtor, 0, 5 },	//155 QTestDelayEvent::~QTestDelayEvent()
    {16, 251, 23, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 1},	//156 QTestEvent::simulate(QWidget*) [pure virtual]
    {16, 112, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 25, 2},	//157 QTestEvent::clone() const [pure virtual]
    {16, 25, 0, 0, Smoke::mf_ctor, 25, 3},	//158 QTestEvent::QTestEvent()
    {16, 25, 258, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 25, 4},	//159 QTestEvent::QTestEvent(const QTestEvent&)
    {16, 280, 0, 0, Smoke::mf_dtor, 0, 5 },	//160 QTestEvent::~QTestEvent()
    {17, 27, 0, 0, Smoke::mf_ctor, 26, 1},	//161 QTestEventList::QTestEventList()
    {17, 27, 260, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 26, 2},	//162 QTestEventList::QTestEventList(const QTestEventList&)
    {17, 110, 0, 0, 0, 0, 3},	//163 QTestEventList::clear()
    {17, 58, 262, 3, 0, 0, 4},	//164 QTestEventList::addKeyClick(Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    {17, 70, 262, 3, 0, 0, 5},	//165 QTestEventList::addKeyPress(Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    {17, 74, 262, 3, 0, 0, 6},	//166 QTestEventList::addKeyRelease(Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    {17, 66, 266, 4, 0, 0, 7},	//167 QTestEventList::addKeyEvent(QTest::KeyAction, Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    {17, 58, 271, 3, 0, 0, 8},	//168 QTestEventList::addKeyClick(char, QFlags<Qt::KeyboardModifier>, int)
    {17, 70, 271, 3, 0, 0, 9},	//169 QTestEventList::addKeyPress(char, QFlags<Qt::KeyboardModifier>, int)
    {17, 74, 271, 3, 0, 0, 10},	//170 QTestEventList::addKeyRelease(char, QFlags<Qt::KeyboardModifier>, int)
    {17, 62, 275, 3, 0, 0, 11},	//171 QTestEventList::addKeyClicks(const QString&, QFlags<Qt::KeyboardModifier>, int)
    {17, 66, 279, 4, 0, 0, 12},	//172 QTestEventList::addKeyEvent(QTest::KeyAction, char, QFlags<Qt::KeyboardModifier>, int)
    {17, 91, 284, 4, 0, 0, 13},	//173 QTestEventList::addMousePress(Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int)
    {17, 96, 284, 4, 0, 0, 14},	//174 QTestEventList::addMouseRelease(Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int)
    {17, 78, 284, 4, 0, 0, 15},	//175 QTestEventList::addMouseClick(Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int)
    {17, 83, 284, 4, 0, 0, 16},	//176 QTestEventList::addMouseDClick(Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int)
    {17, 88, 289, 2, 0, 0, 17},	//177 QTestEventList::addMouseMove(QPoint, int)
    {17, 56, 102, 1, 0, 0, 18},	//178 QTestEventList::addDelay(int)
    {17, 251, 23, 1, 0, 0, 19},	//179 QTestEventList::simulate(QWidget*)
    {17, 58, 100, 1, 0, 0, 20},	//180 QTestEventList::addKeyClick(Qt::Key)
    {17, 58, 292, 2, 0, 0, 21},	//181 QTestEventList::addKeyClick(Qt::Key, QFlags<Qt::KeyboardModifier>)
    {17, 70, 100, 1, 0, 0, 22},	//182 QTestEventList::addKeyPress(Qt::Key)
    {17, 70, 292, 2, 0, 0, 23},	//183 QTestEventList::addKeyPress(Qt::Key, QFlags<Qt::KeyboardModifier>)
    {17, 74, 100, 1, 0, 0, 24},	//184 QTestEventList::addKeyRelease(Qt::Key)
    {17, 74, 292, 2, 0, 0, 25},	//185 QTestEventList::addKeyRelease(Qt::Key, QFlags<Qt::KeyboardModifier>)
    {17, 66, 295, 2, 0, 0, 26},	//186 QTestEventList::addKeyEvent(QTest::KeyAction, Qt::Key)
    {17, 66, 298, 3, 0, 0, 27},	//187 QTestEventList::addKeyEvent(QTest::KeyAction, Qt::Key, QFlags<Qt::KeyboardModifier>)
    {17, 58, 187, 1, 0, 0, 28},	//188 QTestEventList::addKeyClick(char)
    {17, 58, 302, 2, 0, 0, 29},	//189 QTestEventList::addKeyClick(char, QFlags<Qt::KeyboardModifier>)
    {17, 70, 187, 1, 0, 0, 30},	//190 QTestEventList::addKeyPress(char)
    {17, 70, 302, 2, 0, 0, 31},	//191 QTestEventList::addKeyPress(char, QFlags<Qt::KeyboardModifier>)
    {17, 74, 187, 1, 0, 0, 32},	//192 QTestEventList::addKeyRelease(char)
    {17, 74, 302, 2, 0, 0, 33},	//193 QTestEventList::addKeyRelease(char, QFlags<Qt::KeyboardModifier>)
    {17, 62, 305, 1, 0, 0, 34},	//194 QTestEventList::addKeyClicks(const QString&)
    {17, 62, 307, 2, 0, 0, 35},	//195 QTestEventList::addKeyClicks(const QString&, QFlags<Qt::KeyboardModifier>)
    {17, 66, 310, 2, 0, 0, 36},	//196 QTestEventList::addKeyEvent(QTest::KeyAction, char)
    {17, 66, 313, 3, 0, 0, 37},	//197 QTestEventList::addKeyEvent(QTest::KeyAction, char, QFlags<Qt::KeyboardModifier>)
    {17, 91, 317, 1, 0, 0, 38},	//198 QTestEventList::addMousePress(Qt::MouseButton)
    {17, 91, 319, 2, 0, 0, 39},	//199 QTestEventList::addMousePress(Qt::MouseButton, QFlags<Qt::KeyboardModifier>)
    {17, 91, 322, 3, 0, 0, 40},	//200 QTestEventList::addMousePress(Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint)
    {17, 96, 317, 1, 0, 0, 41},	//201 QTestEventList::addMouseRelease(Qt::MouseButton)
    {17, 96, 319, 2, 0, 0, 42},	//202 QTestEventList::addMouseRelease(Qt::MouseButton, QFlags<Qt::KeyboardModifier>)
    {17, 96, 322, 3, 0, 0, 43},	//203 QTestEventList::addMouseRelease(Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint)
    {17, 78, 317, 1, 0, 0, 44},	//204 QTestEventList::addMouseClick(Qt::MouseButton)
    {17, 78, 319, 2, 0, 0, 45},	//205 QTestEventList::addMouseClick(Qt::MouseButton, QFlags<Qt::KeyboardModifier>)
    {17, 78, 322, 3, 0, 0, 46},	//206 QTestEventList::addMouseClick(Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint)
    {17, 83, 317, 1, 0, 0, 47},	//207 QTestEventList::addMouseDClick(Qt::MouseButton)
    {17, 83, 319, 2, 0, 0, 48},	//208 QTestEventList::addMouseDClick(Qt::MouseButton, QFlags<Qt::KeyboardModifier>)
    {17, 83, 322, 3, 0, 0, 49},	//209 QTestEventList::addMouseDClick(Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint)
    {17, 88, 0, 0, 0, 0, 50},	//210 QTestEventList::addMouseMove()
    {17, 88, 326, 1, 0, 0, 51},	//211 QTestEventList::addMouseMove(QPoint)
    {17, 281, 0, 0, Smoke::mf_dtor, 0, 52 },	//212 QTestEventList::~QTestEventList()
    {18, 164, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 113, 1},	//213 QTestEventLoop::metaObject() const
    {18, 227, 1, 1, Smoke::mf_virtual, 130, 2},	//214 QTestEventLoop::qt_metacast(const char*)
    {18, 265, 328, 2, Smoke::mf_static, 13, 3},	//215 QTestEventLoop::tr(const char*, const char*)
    {18, 269, 328, 2, Smoke::mf_static, 13, 4},	//216 QTestEventLoop::trUtf8(const char*, const char*)
    {18, 265, 96, 3, Smoke::mf_static, 13, 5},	//217 QTestEventLoop::tr(const char*, const char*, int)
    {18, 269, 96, 3, Smoke::mf_static, 13, 6},	//218 QTestEventLoop::trUtf8(const char*, const char*, int)
    {18, 225, 15, 3, Smoke::mf_virtual, 128, 7},	//219 QTestEventLoop::qt_metacall(QMetaObject::Call, int, void**)
    {18, 29, 158, 1, Smoke::mf_ctor, 28, 8},	//220 QTestEventLoop::QTestEventLoop(QObject*)
    {18, 131, 102, 1, 0, 0, 9},	//221 QTestEventLoop::enterLoop(int)
    {18, 105, 102, 1, 0, 0, 10},	//222 QTestEventLoop::changeInterval(int)
    {18, 258, 0, 0, Smoke::mf_const, 108, 11},	//223 QTestEventLoop::timeout() const
    {18, 140, 0, 0, Smoke::mf_static, 27, 12},	//224 QTestEventLoop::instance()
    {18, 136, 0, 0, Smoke::mf_slot, 0, 13},	//225 QTestEventLoop::exitLoop()
    {18, 259, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 14},	//226 QTestEventLoop::timerEvent(QTimerEvent*)
    {18, 265, 1, 1, Smoke::mf_static, 13, 15},	//227 QTestEventLoop::tr(const char*)
    {18, 269, 1, 1, Smoke::mf_static, 13, 16},	//228 QTestEventLoop::trUtf8(const char*)
    {18, 29, 0, 0, Smoke::mf_ctor, 28, 17},	//229 QTestEventLoop::QTestEventLoop()
    {18, 256, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 112, 18},	//230 QTestEventLoop::staticMetaObject() const
    {18, 282, 0, 0, Smoke::mf_dtor, 0, 19 },	//231 QTestEventLoop::~QTestEventLoop()
    {19, 31, 275, 3, Smoke::mf_ctor, 29, 1},	//232 QTestKeyClicksEvent::QTestKeyClicksEvent(const QString&, QFlags<Qt::KeyboardModifier>, int)
    {19, 112, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 25, 2},	//233 QTestKeyClicksEvent::clone() const
    {19, 251, 23, 1, Smoke::mf_virtual, 0, 3},	//234 QTestKeyClicksEvent::simulate(QWidget*)
    {19, 31, 331, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 29, 4},	//235 QTestKeyClicksEvent::QTestKeyClicksEvent(const QTestKeyClicksEvent&)
    {19, 283, 0, 0, Smoke::mf_dtor, 0, 5 },	//236 QTestKeyClicksEvent::~QTestKeyClicksEvent()
    {20, 34, 266, 4, Smoke::mf_ctor, 30, 1},	//237 QTestKeyEvent::QTestKeyEvent(QTest::KeyAction, Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    {20, 34, 279, 4, Smoke::mf_ctor, 30, 2},	//238 QTestKeyEvent::QTestKeyEvent(QTest::KeyAction, char, QFlags<Qt::KeyboardModifier>, int)
    {20, 112, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 25, 3},	//239 QTestKeyEvent::clone() const
    {20, 251, 23, 1, Smoke::mf_virtual, 0, 4},	//240 QTestKeyEvent::simulate(QWidget*)
    {20, 34, 333, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 30, 5},	//241 QTestKeyEvent::QTestKeyEvent(const QTestKeyEvent&)
    {20, 49, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 16, 6},	//242 QTestKeyEvent::_action() const
    {20, 240, 335, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 7},	//243 QTestKeyEvent::set_action(QTest::KeyAction)
    {20, 51, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 128, 8},	//244 QTestKeyEvent::_delay() const
    {20, 244, 102, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 9},	//245 QTestKeyEvent::set_delay(int)
    {20, 53, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 6, 10},	//246 QTestKeyEvent::_modifiers() const
    {20, 248, 337, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 11},	//247 QTestKeyEvent::set_modifiers(QFlags<Qt::KeyboardModifier>)
    {20, 50, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 109, 12},	//248 QTestKeyEvent::_ascii() const
    {20, 242, 187, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 13},	//249 QTestKeyEvent::set_ascii(char)
    {20, 52, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 73, 14},	//250 QTestKeyEvent::_key() const
    {20, 246, 100, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 15},	//251 QTestKeyEvent::set_key(Qt::Key)
    {20, 284, 0, 0, Smoke::mf_dtor, 0, 16 },	//252 QTestKeyEvent::~QTestKeyEvent()
    {21, 37, 339, 5, Smoke::mf_ctor, 31, 1},	//253 QTestMouseEvent::QTestMouseEvent(QTest::MouseAction, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int)
    {21, 112, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 25, 2},	//254 QTestMouseEvent::clone() const
    {21, 251, 23, 1, Smoke::mf_virtual, 0, 3},	//255 QTestMouseEvent::simulate(QWidget*)
    {21, 37, 345, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 31, 4},	//256 QTestMouseEvent::QTestMouseEvent(const QTestMouseEvent&)
    {21, 285, 0, 0, Smoke::mf_dtor, 0, 5 },	//257 QTestMouseEvent::~QTestMouseEvent()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    54,  // QTest::keyClick(QWidget*, char)
    65,  // QTest::keyClick(QWidget*, Qt::Key)
    0,
    55,  // QTest::keyClick(QWidget*, char, QFlags<Qt::KeyboardModifier>)
    66,  // QTest::keyClick(QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>)
    0,
    53,  // QTest::keyClick(QWidget*, char, QFlags<Qt::KeyboardModifier>, int)
    64,  // QTest::keyClick(QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    0,
    62,  // QTest::keyEvent(QTest::KeyAction, QWidget*, char)
    97,  // QTest::keyEvent(QTest::KeyAction, QWidget*, Qt::Key)
    0,
    63,  // QTest::keyEvent(QTest::KeyAction, QWidget*, char, QFlags<Qt::KeyboardModifier>)
    98,  // QTest::keyEvent(QTest::KeyAction, QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>)
    0,
    61,  // QTest::keyEvent(QTest::KeyAction, QWidget*, char, QFlags<Qt::KeyboardModifier>, int)
    96,  // QTest::keyEvent(QTest::KeyAction, QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    0,
    35,  // QTest::keyPress(QWidget*, Qt::Key)
    50,  // QTest::keyPress(QWidget*, char)
    0,
    36,  // QTest::keyPress(QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>)
    51,  // QTest::keyPress(QWidget*, char, QFlags<Qt::KeyboardModifier>)
    0,
    34,  // QTest::keyPress(QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    49,  // QTest::keyPress(QWidget*, char, QFlags<Qt::KeyboardModifier>, int)
    0,
    73,  // QTest::keyRelease(QWidget*, Qt::Key)
    83,  // QTest::keyRelease(QWidget*, char)
    0,
    74,  // QTest::keyRelease(QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>)
    84,  // QTest::keyRelease(QWidget*, char, QFlags<Qt::KeyboardModifier>)
    0,
    72,  // QTest::keyRelease(QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    82,  // QTest::keyRelease(QWidget*, char, QFlags<Qt::KeyboardModifier>, int)
    0,
    47,  // QTest::sendKeyEvent(QTest::KeyAction, QWidget*, Qt::Key, char, QFlags<Qt::KeyboardModifier>)
    94,  // QTest::sendKeyEvent(QTest::KeyAction, QWidget*, Qt::Key, QString, QFlags<Qt::KeyboardModifier>)
    0,
    46,  // QTest::sendKeyEvent(QTest::KeyAction, QWidget*, Qt::Key, char, QFlags<Qt::KeyboardModifier>, int)
    93,  // QTest::sendKeyEvent(QTest::KeyAction, QWidget*, Qt::Key, QString, QFlags<Qt::KeyboardModifier>, int)
    0,
    76,  // QTest::toString(const char*)
    79,  // QTest::toString(const void*)
    0,
    180,  // QTestEventList::addKeyClick(Qt::Key)
    188,  // QTestEventList::addKeyClick(char)
    0,
    181,  // QTestEventList::addKeyClick(Qt::Key, QFlags<Qt::KeyboardModifier>)
    189,  // QTestEventList::addKeyClick(char, QFlags<Qt::KeyboardModifier>)
    0,
    164,  // QTestEventList::addKeyClick(Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    168,  // QTestEventList::addKeyClick(char, QFlags<Qt::KeyboardModifier>, int)
    0,
    186,  // QTestEventList::addKeyEvent(QTest::KeyAction, Qt::Key)
    196,  // QTestEventList::addKeyEvent(QTest::KeyAction, char)
    0,
    187,  // QTestEventList::addKeyEvent(QTest::KeyAction, Qt::Key, QFlags<Qt::KeyboardModifier>)
    197,  // QTestEventList::addKeyEvent(QTest::KeyAction, char, QFlags<Qt::KeyboardModifier>)
    0,
    167,  // QTestEventList::addKeyEvent(QTest::KeyAction, Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    172,  // QTestEventList::addKeyEvent(QTest::KeyAction, char, QFlags<Qt::KeyboardModifier>, int)
    0,
    182,  // QTestEventList::addKeyPress(Qt::Key)
    190,  // QTestEventList::addKeyPress(char)
    0,
    183,  // QTestEventList::addKeyPress(Qt::Key, QFlags<Qt::KeyboardModifier>)
    191,  // QTestEventList::addKeyPress(char, QFlags<Qt::KeyboardModifier>)
    0,
    165,  // QTestEventList::addKeyPress(Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    169,  // QTestEventList::addKeyPress(char, QFlags<Qt::KeyboardModifier>, int)
    0,
    184,  // QTestEventList::addKeyRelease(Qt::Key)
    192,  // QTestEventList::addKeyRelease(char)
    0,
    185,  // QTestEventList::addKeyRelease(Qt::Key, QFlags<Qt::KeyboardModifier>)
    193,  // QTestEventList::addKeyRelease(char, QFlags<Qt::KeyboardModifier>)
    0,
    166,  // QTestEventList::addKeyRelease(Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    170,  // QTestEventList::addKeyRelease(char, QFlags<Qt::KeyboardModifier>, int)
    0,
    237,  // QTestKeyEvent::QTestKeyEvent(QTest::KeyAction, Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    238,  // QTestKeyEvent::QTestKeyEvent(QTest::KeyAction, char, QFlags<Qt::KeyboardModifier>, int)
    0,
    134,  // QTestAccessibilityEvent::QTestAccessibilityEvent(const QTestAccessibilityEvent&)
    136,  // QTestAccessibilityEvent::QTestAccessibilityEvent(QObject*)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {5, 40, 1},	// QGlobalSpace::Q_COMPLEX_TYPE
    {5, 41, 5},	// QGlobalSpace::Q_DUMMY_TYPE
    {5, 42, 4},	// QGlobalSpace::Q_MOVABLE_TYPE
    {5, 43, 2},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {5, 44, 3},	// QGlobalSpace::Q_STATIC_TYPE
    {10, 17, 15},	// QSignalSpy::QSignalSpy#$
    {10, 141, 16},	// QSignalSpy::isValid
    {10, 226, 18},	// QSignalSpy::qt_metacall$$?
    {10, 250, 17},	// QSignalSpy::signal
    {10, 276, 19},	// QSignalSpy::~QSignalSpy
    {11, 1, 107},	// QTest::Abort
    {11, 2, 120},	// QTest::BitsPerSecond
    {11, 3, 121},	// QTest::BytesPerSecond
    {11, 4, 123},	// QTest::CPUTicks
    {11, 5, 116},	// QTest::Click
    {11, 6, 108},	// QTest::Continue
    {11, 7, 125},	// QTest::Events
    {11, 8, 119},	// QTest::FramesPerSecond
    {11, 9, 124},	// QTest::InstructionReads
    {11, 10, 111},	// QTest::MouseClick
    {11, 11, 112},	// QTest::MouseDClick
    {11, 12, 113},	// QTest::MouseMove
    {11, 13, 109},	// QTest::MousePress
    {11, 14, 110},	// QTest::MouseRelease
    {11, 15, 114},	// QTest::Press
    {11, 45, 115},	// QTest::Release
    {11, 46, 118},	// QTest::SkipAll
    {11, 47, 117},	// QTest::SkipSingle
    {11, 48, 122},	// QTest::WalltimeMilliseconds
    {11, 55, 81},	// QTest::addColumnInternal$$
    {11, 104, 80},	// QTest::asciiToKey$
    {11, 114, 92},	// QTest::compare_helper$$$$
    {11, 115, 75},	// QTest::compare_helper$$$$$$$$
    {11, 117, 68},	// QTest::compare_ptr_helper$$$$$$
    {11, 119, 91},	// QTest::compare_string_helper$$$$$$
    {11, 121, 59},	// QTest::currentAppName
    {11, 122, 52},	// QTest::currentDataTag
    {11, 123, 56},	// QTest::currentTestFailed
    {11, 124, 29},	// QTest::currentTestFunction
    {11, 138, 99},	// QTest::ignoreMessage$$
    {11, 143, -1},	// QTest::keyClick#$
    {11, 144, -4},	// QTest::keyClick#$$
    {11, 145, -7},	// QTest::keyClick#$$$
    {11, 147, 105},	// QTest::keyClicks#$
    {11, 148, 106},	// QTest::keyClicks#$$
    {11, 149, 104},	// QTest::keyClicks#$$$
    {11, 151, -10},	// QTest::keyEvent$#$
    {11, 152, -13},	// QTest::keyEvent$#$$
    {11, 153, -16},	// QTest::keyEvent$#$$$
    {11, 155, -19},	// QTest::keyPress#$
    {11, 156, -22},	// QTest::keyPress#$$
    {11, 157, -25},	// QTest::keyPress#$$$
    {11, 159, -28},	// QTest::keyRelease#$
    {11, 160, -31},	// QTest::keyRelease#$$
    {11, 161, -34},	// QTest::keyRelease#$$$
    {11, 163, 44},	// QTest::keyToAscii$
    {11, 166, 87},	// QTest::mouseClick#$
    {11, 167, 88},	// QTest::mouseClick#$$
    {11, 168, 89},	// QTest::mouseClick#$$#
    {11, 169, 86},	// QTest::mouseClick#$$#$
    {11, 171, 38},	// QTest::mouseDClick#$
    {11, 172, 39},	// QTest::mouseDClick#$$
    {11, 173, 40},	// QTest::mouseDClick#$$#
    {11, 174, 37},	// QTest::mouseDClick#$$#$
    {11, 176, 78},	// QTest::mouseEvent$#$$#
    {11, 177, 77},	// QTest::mouseEvent$#$$#$
    {11, 179, 21},	// QTest::mouseMove#
    {11, 180, 22},	// QTest::mouseMove##
    {11, 181, 20},	// QTest::mouseMove##$
    {11, 183, 26},	// QTest::mousePress#$
    {11, 184, 27},	// QTest::mousePress#$$
    {11, 185, 28},	// QTest::mousePress#$$#
    {11, 186, 25},	// QTest::mousePress#$$#$
    {11, 188, 101},	// QTest::mouseRelease#$
    {11, 189, 102},	// QTest::mouseRelease#$$
    {11, 190, 103},	// QTest::mouseRelease#$$#
    {11, 191, 100},	// QTest::mouseRelease#$$#$
    {11, 193, 60},	// QTest::newRow$
    {11, 199, 95},	// QTest::qData$$
    {11, 201, 67},	// QTest::qElementData$$
    {11, 203, 70},	// QTest::qExec#
    {11, 204, 71},	// QTest::qExec#$
    {11, 205, 69},	// QTest::qExec#$?
    {11, 206, 30},	// QTest::qExec#?
    {11, 208, 24},	// QTest::qExpectFail$$$$$
    {11, 210, 43},	// QTest::qFail$$$
    {11, 212, 57},	// QTest::qGlobalData$$
    {11, 214, 41},	// QTest::qSkip$$$$
    {11, 216, 90},	// QTest::qSleep$
    {11, 218, 42},	// QTest::qVerify$$$$$
    {11, 220, 45},	// QTest::qWait$
    {11, 222, 58},	// QTest::qWaitForWindowShown#
    {11, 224, 48},	// QTest::qWarn$
    {11, 230, -37},	// QTest::sendKeyEvent$#$$$
    {11, 231, -40},	// QTest::sendKeyEvent$#$$$$
    {11, 233, 23},	// QTest::setBenchmarkResult$$
    {11, 254, 33},	// QTest::simulateEvent#$$$$$
    {11, 255, 32},	// QTest::simulateEvent#$$$$$$
    {11, 257, 31},	// QTest::testObject
    {11, 262, 85},	// QTest::toHexRepresentation$$
    {11, 264, -43},	// QTest::toString$
    {12, 109, 127},	// QTestAccessibility::cleanup
    {12, 111, 128},	// QTestAccessibility::clearEvents
    {12, 135, 129},	// QTestAccessibility::events
    {12, 139, 126},	// QTestAccessibility::initialize
    {12, 274, 130},	// QTestAccessibility::verifyEvent#
    {12, 275, 131},	// QTestAccessibility::verifyEvent#$$
    {13, 18, 135},	// QTestAccessibilityEvent::QTestAccessibilityEvent
    {13, 19, -85},	// QTestAccessibilityEvent::QTestAccessibilityEvent#
    {13, 20, 137},	// QTestAccessibilityEvent::QTestAccessibilityEvent#$
    {13, 21, 132},	// QTestAccessibilityEvent::QTestAccessibilityEvent#$$
    {13, 107, 140},	// QTestAccessibilityEvent::child
    {13, 133, 142},	// QTestAccessibilityEvent::event
    {13, 194, 138},	// QTestAccessibilityEvent::object
    {13, 196, 133},	// QTestAccessibilityEvent::operator==#
    {13, 235, 141},	// QTestAccessibilityEvent::setChild$
    {13, 237, 143},	// QTestAccessibilityEvent::setEvent$
    {13, 239, 139},	// QTestAccessibilityEvent::setObject#
    {13, 277, 144},	// QTestAccessibilityEvent::~QTestAccessibilityEvent
    {14, 102, 145},	// QTestData::append$$
    {14, 127, 146},	// QTestData::data$
    {14, 128, 149},	// QTestData::dataCount
    {14, 129, 147},	// QTestData::dataTag
    {14, 197, 148},	// QTestData::parent
    {14, 278, 150},	// QTestData::~QTestData
    {15, 23, 154},	// QTestDelayEvent::QTestDelayEvent#
    {15, 24, 151},	// QTestDelayEvent::QTestDelayEvent$
    {15, 112, 152},	// QTestDelayEvent::clone
    {15, 252, 153},	// QTestDelayEvent::simulate#
    {15, 279, 155},	// QTestDelayEvent::~QTestDelayEvent
    {16, 25, 158},	// QTestEvent::QTestEvent
    {16, 26, 159},	// QTestEvent::QTestEvent#
    {16, 112, 157},	// QTestEvent::clone
    {16, 252, 156},	// QTestEvent::simulate#
    {16, 280, 160},	// QTestEvent::~QTestEvent
    {17, 27, 161},	// QTestEventList::QTestEventList
    {17, 28, 162},	// QTestEventList::QTestEventList#
    {17, 57, 178},	// QTestEventList::addDelay$
    {17, 59, -46},	// QTestEventList::addKeyClick$
    {17, 60, -49},	// QTestEventList::addKeyClick$$
    {17, 61, -52},	// QTestEventList::addKeyClick$$$
    {17, 63, 194},	// QTestEventList::addKeyClicks$
    {17, 64, 195},	// QTestEventList::addKeyClicks$$
    {17, 65, 171},	// QTestEventList::addKeyClicks$$$
    {17, 67, -55},	// QTestEventList::addKeyEvent$$
    {17, 68, -58},	// QTestEventList::addKeyEvent$$$
    {17, 69, -61},	// QTestEventList::addKeyEvent$$$$
    {17, 71, -64},	// QTestEventList::addKeyPress$
    {17, 72, -67},	// QTestEventList::addKeyPress$$
    {17, 73, -70},	// QTestEventList::addKeyPress$$$
    {17, 75, -73},	// QTestEventList::addKeyRelease$
    {17, 76, -76},	// QTestEventList::addKeyRelease$$
    {17, 77, -79},	// QTestEventList::addKeyRelease$$$
    {17, 79, 204},	// QTestEventList::addMouseClick$
    {17, 80, 205},	// QTestEventList::addMouseClick$$
    {17, 81, 206},	// QTestEventList::addMouseClick$$#
    {17, 82, 175},	// QTestEventList::addMouseClick$$#$
    {17, 84, 207},	// QTestEventList::addMouseDClick$
    {17, 85, 208},	// QTestEventList::addMouseDClick$$
    {17, 86, 209},	// QTestEventList::addMouseDClick$$#
    {17, 87, 176},	// QTestEventList::addMouseDClick$$#$
    {17, 88, 210},	// QTestEventList::addMouseMove
    {17, 89, 211},	// QTestEventList::addMouseMove#
    {17, 90, 177},	// QTestEventList::addMouseMove#$
    {17, 92, 198},	// QTestEventList::addMousePress$
    {17, 93, 199},	// QTestEventList::addMousePress$$
    {17, 94, 200},	// QTestEventList::addMousePress$$#
    {17, 95, 173},	// QTestEventList::addMousePress$$#$
    {17, 97, 201},	// QTestEventList::addMouseRelease$
    {17, 98, 202},	// QTestEventList::addMouseRelease$$
    {17, 99, 203},	// QTestEventList::addMouseRelease$$#
    {17, 100, 174},	// QTestEventList::addMouseRelease$$#$
    {17, 110, 163},	// QTestEventList::clear
    {17, 252, 179},	// QTestEventList::simulate#
    {17, 281, 212},	// QTestEventList::~QTestEventList
    {18, 29, 229},	// QTestEventLoop::QTestEventLoop
    {18, 30, 220},	// QTestEventLoop::QTestEventLoop#
    {18, 106, 222},	// QTestEventLoop::changeInterval$
    {18, 132, 221},	// QTestEventLoop::enterLoop$
    {18, 136, 225},	// QTestEventLoop::exitLoop
    {18, 140, 224},	// QTestEventLoop::instance
    {18, 164, 213},	// QTestEventLoop::metaObject
    {18, 226, 219},	// QTestEventLoop::qt_metacall$$?
    {18, 228, 214},	// QTestEventLoop::qt_metacast$
    {18, 256, 230},	// QTestEventLoop::staticMetaObject
    {18, 258, 223},	// QTestEventLoop::timeout
    {18, 260, 226},	// QTestEventLoop::timerEvent#
    {18, 266, 227},	// QTestEventLoop::tr$
    {18, 267, 215},	// QTestEventLoop::tr$$
    {18, 268, 217},	// QTestEventLoop::tr$$$
    {18, 270, 228},	// QTestEventLoop::trUtf8$
    {18, 271, 216},	// QTestEventLoop::trUtf8$$
    {18, 272, 218},	// QTestEventLoop::trUtf8$$$
    {18, 282, 231},	// QTestEventLoop::~QTestEventLoop
    {19, 32, 235},	// QTestKeyClicksEvent::QTestKeyClicksEvent#
    {19, 33, 232},	// QTestKeyClicksEvent::QTestKeyClicksEvent$$$
    {19, 112, 233},	// QTestKeyClicksEvent::clone
    {19, 252, 234},	// QTestKeyClicksEvent::simulate#
    {19, 283, 236},	// QTestKeyClicksEvent::~QTestKeyClicksEvent
    {20, 35, 241},	// QTestKeyEvent::QTestKeyEvent#
    {20, 36, -82},	// QTestKeyEvent::QTestKeyEvent$$$$
    {20, 49, 242},	// QTestKeyEvent::_action
    {20, 50, 248},	// QTestKeyEvent::_ascii
    {20, 51, 244},	// QTestKeyEvent::_delay
    {20, 52, 250},	// QTestKeyEvent::_key
    {20, 53, 246},	// QTestKeyEvent::_modifiers
    {20, 112, 239},	// QTestKeyEvent::clone
    {20, 241, 243},	// QTestKeyEvent::set_action$
    {20, 243, 249},	// QTestKeyEvent::set_ascii$
    {20, 245, 245},	// QTestKeyEvent::set_delay$
    {20, 247, 251},	// QTestKeyEvent::set_key$
    {20, 249, 247},	// QTestKeyEvent::set_modifiers$
    {20, 252, 240},	// QTestKeyEvent::simulate#
    {20, 284, 252},	// QTestKeyEvent::~QTestKeyEvent
    {21, 38, 256},	// QTestMouseEvent::QTestMouseEvent#
    {21, 39, 253},	// QTestMouseEvent::QTestMouseEvent$$$#$
    {21, 112, 254},	// QTestMouseEvent::clone
    {21, 252, 255},	// QTestMouseEvent::simulate#
    {21, 285, 257},	// QTestMouseEvent::~QTestMouseEvent
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();

static bool initialized = false;
Smoke *qttest_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qttest_Smoke() {
    init_qtcore_Smoke();
    if (initialized) return;
    qttest_Smoke = new Smoke(
        "qttest",
        __smokeqttest::classes, 24,
        __smokeqttest::methods, 258,
        __smokeqttest::methodMaps, 220,
        __smokeqttest::methodNames, 285,
        __smokeqttest::types, 132,
        __smokeqttest::inheritanceList,
        __smokeqttest::argumentList,
        __smokeqttest::ambiguousMethodList,
        __smokeqttest::cast );
    initialized = true;
}

void delete_qttest_Smoke() { delete qttest_Smoke; }

}
